package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQuality;
import com.ruoyi.common.annotation.LogicIgnore;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualitySelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualityDto;


/**
 * <p>
 * 质检基础信息表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityService extends BaseService<EhsdQuality> {

    /**
     * 质检基础信息表分页
     */
    Page<EhsdQualityVo> getPage(EhsdQualitySelectDto dto);

    /**
     * 质检基础信息表明细
     */
    EhsdQuality detail(Long id);

    /**
     * 质检基础信息表新增
     */
    void submit(EhsdQualityDto ehsdQualityDto);

    /**
     * 质检基础信息表编辑
     */
    void edit(EhsdQualityDto ehsdQualityDto);

    /**
     * 质检基础信息表删除
     */
    void delete(Long id);

}
